<!DOCTYPE html>
<html>
    <head>
        <meta charest="utf-8" />
        <title>Daily diary report</title>
        <style>
            body {
                margin: 0;
                font-family: 'Arial', sans-serif !important;
            }
            table { 
                text-align: center !important;
                width: 100% !important;
                table-layout: fixed !important;
                border: 1px solid black !important;
                border-collapse: collapse !important;
            }
            .table-80p 
             {
                text-align: center !important;
                width: 80% !important;
                table-layout: fixed !important;
                border: 1px solid black !important;
                border-collapse: collapse !important;
                margin-left: auto !important;
                margin-right: auto !important;
            }
            td { 
                padding: 2px !important;
                border: 1px solid black !important;
            }
            tr {
                position: relative !important;
            }
            hr {
                width: 150px !important;
                margin: 0 !important;
                border: 1px solid black !important;
                border-collapse: collapse !important;
                padding: 0 !important;
                display:inline-block;
            }
            .page {
                font-size: 8pt !important;
            }
            .footer {
                font-size: 11pt !important;
                margin-top: 25px !important;
                padding:  0 !important;
                font-weight: bold !important;
            }
            .header {
                font-size: 8pt !important;
            }
            .header-line {
                margin: 0 !important;
                padding: 0 !important;
            }
            .header-line-left {
                margin: 0 !important;
                padding: 0 !important;
            }
            .header-line-right {
                float: right !important;
                margin: 0 !important;
                padding: 0 !important;
            }
            .act-td-10p {
                width: 10% !important;
            }
            .act-th-15p {
                width: 15% !important;
                font-size: 7pt !important;
                padding: 0 !important;
            }
            .act-th-20p {
                width: 20% !important;
            }
            .act-th-40p {
                width: 40% !important;
            }
            .act-td-20p {
                width: 20% !important;
            }
            .act-td-40p {
                width: 40% !important;
            }
            .act-td-15p {
                width: 15% !important;
                font-size: 7pt !important;
                padding: 0 !important;
            }
            .me-td-30p {
                width: 30% !important;
            }
            .me-td-20p {
                width: 20% !important;
                font-size: 7pt !important;
            }
            .me-th-20p {
                width: 20% !important;
                font-size: 7pt !important;
            }
            .me-th-30p {
                width: 30% !important;
            }
            .area {
                white-space: pre-wrap !important;
            }
            .right-area {
                text-align: right;
                white-space: pre-wrap !important;
            }
           </style>
    </head>
    <body>
        <div class= "page">
            <div class="table-content">
                <h3>Work report:</h3>
                <table>
                    <tr>
                        <td class="act-th-15p">#(activity ID)</td>
                        <td class="act-th-20p">Activity Name</td>
                        <td class="act-th-40p">Work description</td>
                        <td class="act-th-15p">Status</td>
                        <td class="act-th-15p">From</td>
                        <td class="act-th-15p">To</td>
                    </tr>
                    {{#each activities}}
                    <tr>
                        <td class="act-td-10p">{{this.id}}</td>
                        {{#if ../isRtl}}
                            <td class="act-td-20p right-area" dir="rtl">{{this.name}}</td>
                            <td class="act-td-40p right-area" dir="rtl">{{this.description}}</td>
                        {{else}}
                            <td class="act-td-20p area">{{this.name}}</td>
                            <td class="act-td-40p area">{{this.description}}</td>
                        {{/if}}
                        <td class="act-td-10p">{{this.status}}</td>
                        <td class="act-td-15p">{{this.from}}</td>
                        <td class="act-td-15p">{{this.to}}</td>
                    </tr>
                    {{/each}}
                </table>
                <h3>Manpower and Equipment:</h3>
                <table class="table-80p">
                    <tr>
                        <td class="me-th-20p">Resource group</td>
                        <td class="me-th-20p">Resource type</td>
                        <td>ID</td>
                        <td>Quantity</td>
                        <td class="me-th-30p">PM comments</td>
                    </tr>
                    {{#each manpowerEquipments}}
                    <tr>
                        <td>{{this.group}}</td>
                        <td>{{this.type}}</td>
                        <td>{{this.id}}</td>
                        <td>{{this.quantity}}</td>
                        {{#if ../isRtl}}
                            <td class="me-td-30p right-area" dir="rtl">{{this.comment}}</td>
                        {{else}}
                            <td class="me-td-30p area">{{this.comment}}</td>
                        {{/if}}
                    </tr>
                    {{/each}}
                </table>
                <h3>Comments:</h3>
                <table class="table-80p">
                    <tr>
                        <td>Contractor Comments</td>
                        <td class="comment">Owner Agent (PM) Comments</td>
                    </tr>
                    {{#each comments}}
                    <tr>
                        {{#if ../isRtl}}
                            <td class="right-area" dir="rtl">{{this.contractorComment}}</td>
                            <td class="right-area" dir="rtl">{{this.pmComment}}</td>
                        {{else}}
                            <td class="area">{{this.contractorComment}}</td>
                            <td class="area">{{this.pmComment}}</td>
                        {{/if}}
                    </tr>
                    {{/each}}
                </table>
                <div class="footer">
                    Signed by contractor:{{contractorSignUser}}<hr>
                    <br>
                    Signed by PM:{{pmSignUser}}<hr>
                </div>
            </div>
        </div>
    </body>
</html>